Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class date

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.date

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class date

extends DefaultInternalAction

Internal action: `.date(YY,MM,DD)`.

Description: gets the current date (year, month, and day of the month).

Parameters:

- +/- year (number): the year.
- +/- month (number): the month (1--12).
- +/- day (number): the day (1--31).

Examples:

- `.date(Y,M,D)`: unifies Y with the current year, M with the current month, and D with the current day.
- `.date(2006,12,30)`: succeeds if the action is run on 30/Dec/2006 and fails otherwise.

See Also:
  `time`, Serialized Form

Constructor Summary
`date()`

Method Summary
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` date(YY,MM,DD)
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### date

    public date()

Method Detail

### create

    public static InternalAction create()

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  date(YY,MM,DD)

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD